Package org.eclipse.cdt.core.settings.model.extension.impl

# Class CResourceDataContainer

java.lang.Object
org.eclipse.cdt.core.settings.model.extension.impl.CResourceDataContainer

public class CResourceDataContainer extends Object

## Constructor Summary

Constructors
Constructor
Description
`CResourceDataContainer(PathSettingsContainer pathSettings, boolean includeCurrent)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addResourceData(CResourceData data)`
`void`
`changeCurrentPath(org.eclipse.core.runtime.IPath path, boolean moveChildren)`
`org.eclipse.core.runtime.IPath`
`getCurrentPath()`
`CResourceData`
`getCurrentResourceData()`
`CFileData`
`getFileData(org.eclipse.core.runtime.IPath path)`
`CFolderData`
`getFolderData(org.eclipse.core.runtime.IPath path)`
`List<CResourceData>`
`getRcDataList(int kind)`
`CResourceData`
`getResourceData(org.eclipse.core.runtime.IPath path, boolean exactPath)`
`CResourceData`
`getResourceData(org.eclipse.core.runtime.IPath path, boolean exactPath, int kind)`
`CResourceData[]`
`getResourceDatas()`
`CResourceData[]`
`getResourceDatas(int kind)`
`CResourceData[]`
`getResourceDatas(int kind, Class<CResourceData> clazz)`
`void`
`removeResourceData(org.eclipse.core.runtime.IPath path)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CResourceDataContainer

public CResourceDataContainer(PathSettingsContainer pathSettings, boolean includeCurrent)

## Method Details

### changeCurrentPath

public void changeCurrentPath(org.eclipse.core.runtime.IPath path, boolean moveChildren)

### getCurrentPath

public org.eclipse.core.runtime.IPath getCurrentPath()

### getCurrentResourceData

public CResourceData getCurrentResourceData()

### getResourceData

public CResourceData getResourceData(org.eclipse.core.runtime.IPath path, boolean exactPath)

### getResourceDatas

public CResourceData[] getResourceDatas()

### getResourceDatas

public CResourceData[] getResourceDatas(int kind)

### getResourceDatas

public CResourceData[] getResourceDatas(int kind, Class<CResourceData> clazz)

### getRcDataList

public List<CResourceData> getRcDataList(int kind)

### getResourceData

public CResourceData getResourceData(org.eclipse.core.runtime.IPath path, boolean exactPath, int kind)

### removeResourceData

public void removeResourceData(org.eclipse.core.runtime.IPath path)

### addResourceData

public void addResourceData(CResourceData data)

### getFileData

public CFileData getFileData(org.eclipse.core.runtime.IPath path)

### getFolderData

public CFolderData getFolderData(org.eclipse.core.runtime.IPath path)